Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 586332 - SELinux is preventing /usr/lib/cups/daemon/cups-driverd "read" access on CLP-600-1200x600cms2.
SELinux is preventing /usr/lib/cups/daemon/cups-driverd "read" access on...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
12
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:b38e1058826...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-27 06:40 EDT by Manoj Kumar Suyal
Modified: 2013-02-02 09:39 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-27 06:49:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Manoj Kumar Suyal 2010-04-27 06:40:16 EDT
Summary:

SELinux is preventing /usr/lib/cups/daemon/cups-driverd "read" access on
CLP-600-1200x600cms2.

Detailed Description:

SELinux denied access requested by cups-driverd. It is not expected that this
access is required by cups-driverd and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:system_r:cupsd_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:user_home_t:s0
Target Objects                CLP-600-1200x600cms2 [ file ]
Source                        cups-driverd
Source Path                   /usr/lib/cups/daemon/cups-driverd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           cups-1.4.2-28.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-108.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.32.11-99.fc12.i686 #1 SMP Mon Apr
                              5 16:32:08 EDT 2010 i686 i686
Alert Count                   338
First Seen                    Wed 21 Apr 2010 03:25:33 PM IST
Last Seen                     Wed 21 Apr 2010 04:30:55 PM IST
Local ID                      fc9516b2-1fca-4317-af21-69c305c4eb35
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1271847655.574:27393): avc:  denied  { read } for  pid=12790 comm="cups-driverd" name="CLP-600-1200x600cms2" dev=dm-0 ino=292943 scontext=unconfined_u:system_r:cupsd_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1271847655.574:27393): arch=40000003 syscall=5 success=no exit=-13 a0=bfe7374c a1=8000 a2=0 a3=5799b3 items=0 ppid=11533 pid=12790 auid=500 uid=4 gid=7 euid=4 suid=4 fsuid=4 egid=7 sgid=7 fsgid=7 tty=(none) ses=1 comm="cups-driverd" exe="/usr/lib/cups/daemon/cups-driverd" subj=unconfined_u:system_r:cupsd_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,cups-driverd,cupsd_t,user_home_t,file,read
audit2allow suggests:

#============= cupsd_t ==============
allow cupsd_t user_home_t:file read;
Comment 1 Miroslav Grepl 2010-04-27 06:49:23 EDT
Where is CLP-600-1200x600cms2 located? 

If this is not in a homedir it is labeled incorrectly and you can run
restorecon on it.  

If it is in the homedir, then please reopen this bugzilla.

Note You need to log in before you can comment on or make changes to this bug.